# file is managed by puppet

driftfile <%= @driftfile %>

<% if @interface_ignore.empty? == false then -%>
<% @interface_ignore.each do |int_ignore| -%>
interface ignore <%= int_ignore %>
<% end -%>
<% end -%>
<% if @interface_listen.empty? == false then -%>
<% @interface_listen.each do |int_listen| -%>
interface listen <%= int_listen %>
<% end -%>
<% end -%>

<% if @enable_statistics == true -%>
# Enable this if you want statistics to be logged.                             
statsdir <%= @statsdir %>
statistics loopstats peerstats clockstats
filegen loopstats file loopstats type day enable
filegen peerstats file peerstats type day enable
filegen clockstats file clockstats type day enable
<% end -%>

<% @server_list.each do |server| -%>
server <%= server %><%- if @server_options -%> <%= @server_options %><%- end %>
<% end -%>
<% @pool_list.each do |pool| -%>
pool <%= pool %><%- if @pool_options -%> <%= @pool_options %><%- end %>
<% end -%>

<% if @server_enabled == true -%>
# By default, exchange time with everybody, but don't allow configuration.
restrict -4 default kod notrap nomodify  
restrict -6 default kod notrap nomodify 
<% else -%>
# by default act only as a basic NTP client
restrict -4 default nomodify nopeer noquery notrap
restrict -6 default nomodify nopeer noquery notrap
<% end -%>

# Local users may interrogate the ntp server more closely.
<% if @server_enabled == true -%>
restrict 10.0.0.0 netmask 255.0.0.0 nomodify notrap
restrict 192.168.0.0 netmask 255.255.0.0 nomodify notrap
restrict 172.16.0.0 netmask 255.240.0.0 nomodify notrap
<% else -%>
restrict 127.0.0.1
restrict ::1
<% end -%>

<% if @server_enabled == true -%>
<% if @query_networks.empty? == false -%>
# Clients from this subnet have unlimited access, but only if
# cryptographically authenticated.
# Required for some Nagios checks
<% @query_networks.each do |network| -%>
<% net = network.split('/') -%>
restrict <%= net[0] %> mask <%= net[1] %>
<% end -%>
<% end -%>
<% end -%>
